/* Optionally you could even check status before
** setting it!
IF DATABASEPROPERTYEX('JunkDB', 
	'Updateability') = 'READ_ONLY'
*/
ALTER DATABASE JunkDB 
	SET RESTRICTED_USER, READ_WRITE 
	WITH ROLLBACK AFTER 60
go
/* OR
ALTER DATABASE JunkDB
	MODIFY FILEGROUP LookupFG READWRITE
*/
go
-- For more syntax in SQL Server 2000 check out the BOL
-- Under ALTER DATABASE
-- FYI - for backward compatibility you can use sp_dboption
-- but it may not exist in the next release!

-- Next run though your processes to update all of the data via
-- automated mass modifications, scripts, batches, etc.
go
ALTER DATABASE JunkDB 
	SET READ_ONLY, MULTI_USER 
	WITH ROLLBACK AFTER 30
go
/* OR
ALTER DATABASE JunkDB
	MODIFY FILEGROUP LookupFG READONLY
-- I don't recommend setting this...up to and including SS2k sp2
-- read sql mag article (www.sqlmag.com) in sept 2002 InstantDoc #26067 
-- sp3???
*/
go